Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.xml
Class DOMBuilder

A helper class for creating a W3C DOM tree

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`Document` | `document`
`DocumentBuilder` | `documentBuilder`

Constructor Summary
`DOMBuilder(Document document)`
`DOMBuilder(DocumentBuilder documentBuilder)`

Method Summary
`void` | `appendNamespaceAttributes(Element element, Map attributes)`
`Document` | `createDocument()`
`Object` | `createNode(Object name)`
`Object` | `createNode(Object name, Object value)`
`Object` | `createNode(Object name, Map attributes, Object value)`
`Object` | `createNode(Object name, Map attributes)`
`static DOMBuilder` | `newInstance()`
`static DOMBuilder` | `newInstance(boolean validating, boolean namespaceAware)`
`static Document` | `parse(Reader reader)`
`static Document` | `parse(Reader reader, boolean validating, boolean namespaceAware)`
`void` | `setParent(Object parent, Object child)`

Constructor Detail

### DOMBuilder

    public DOMBuilder(Document document)

### DOMBuilder

    public DOMBuilder(DocumentBuilder documentBuilder)

Method Detail

### appendNamespaceAttributes

    void appendNamespaceAttributes(Element element, Map attributes)

### createDocument

    Document createDocument()

### createNode

    Object createNode(Object name)

### createNode

    Object createNode(Object name, Object value)

### createNode

    Object createNode(Object name, Map attributes, Object value)

### createNode

    Object createNode(Object name, Map attributes)

### newInstance

    public static DOMBuilder newInstance()

### newInstance

    public static DOMBuilder newInstance(boolean validating, boolean namespaceAware)

### parse

    public static Document parse(Reader reader)

### parse

    public static Document parse(Reader reader, boolean validating, boolean namespaceAware)

### setParent

    void setParent(Object parent, Object child)